from pydantic import BaseModel

class ActionResult(BaseModel):
    message: str

class ActionResults(BaseModel):
    name: str
    message: str
    actionResults: list[ActionResult]

class FormField(BaseModel):
    name: str
    type: str

class ModelAction(BaseModel):
    name: str
    icon: str
    formFields: list[FormField]
